; The name of the installer
Name "Froost"

; The file to write
OutFile "setup.exe"

Icon "main.ico"
UninstallIcon "uninst.ico"

;==============================================================================
;==[ Install ]=================================================================
;==============================================================================

; The default installation directory
InstallDir "$PROGRAMFILES\Froost"
; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
;InstallDirRegKey HKLM SOFTWARE\NSIS_Example2 "Install_Dir"

ComponentText "This will install Froost on your computer."
DirText "Please enter the path to the install directory:"

Section "Froost"

;--[ Plugin ]-----------------------------------------------------

  SetOutPath "$INSTDIR"
  File Release\froost.exe

;--[ Start Menu ]-------------------------------------------------

  CreateDirectory "$SMPROGRAMS\Froost"
  CreateShortCut "$SMPROGRAMS\Froost\Froost.lnk" "$INSTDIR\froost.exe"
  CreateShortCut "$SMPROGRAMS\Froost\Uninstall Froost.lnk" "$INSTDIR\froost_uninstall.exe"

;--[ Uninstall ]--------------------------------------------------

  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Froost" "DisplayName" "Froost Windows 2000/XP Transparency Manager (remove only)"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Froost" "UninstallString" '"$INSTDIR\froost_uninstall.exe"'

SectionEnd



;==============================================================================
;==[ Uninstall ]===============================================================
;==============================================================================

UninstallText "This will uninstall the Froost application. Hit next to continue."
UninstallExeName "froost_uninstall.exe"

; special uninstall section.
Section "Uninstall"
  Delete "$SMPROGRAMS\Froost\*.*"
  RmDir "$SMPROGRAMS\Froost"

  Delete "$INSTDIR\*.*"
  RmDir "$INSTDIR"

  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Froost"

; XXX UNCOMMENT ME WHEN DISTRIBUTING
  DeleteRegKey HKCU "Software\Ishiboo\Froost"

SectionEnd

; eof
